Research

Research transparency surfaces for validation reports, claims, sources, predictions, backtests, and model health.

Research endpoints expose transparency artifacts for predictive-risk research. They are public read surfaces over promoted and client-visible research rows.

Transparency Surfaces

GET /v1/research/validation-reports

List validation reports.

ParameterTypeDefaultDescription
model_versionstring-Filter by model version
limitnumber-Max 100
curl "https://api.philidor.io/v1/research/validation-reports?limit=5"
{
  "data": [
    {
      "model_version": "severe-event-v1",
      "report_type": "validation",
      "published_at": "2026-07-01T00:00:00Z"
    }
  ]
}

GET /v1/research/claims

List approved research claims.

ParameterTypeDefaultDescription
levelstringpublicpublic or beta
surfacestring-Surface filter
limitnumber-Max 100
curl "https://api.philidor.io/v1/research/claims?level=public"

GET /v1/research/sources

List research sources.

ParameterTypeDefaultDescription
limitnumber-Max 500
curl "https://api.philidor.io/v1/research/sources?limit=20"

Research Preview

The following endpoints expose research artifacts under validation. Outputs are promotion-gated, subject to change, and not investment guidance.

GET /v1/research/predictions

ParameterTypeDefaultDescription
vault_idstring-Vault filter
outcomestring-Outcome name
horizonstring-Prediction horizon
limitnumber-Max 100
curl "https://api.philidor.io/v1/research/predictions?vault_id=morpho-1-0x..."

GET /v1/research/backtests

ParameterTypeDefaultDescription
model_versionstring-Model version
outcomestring-Outcome name
limitnumber-Max 100
curl "https://api.philidor.io/v1/research/backtests?model_version=severe-event-v1"

GET /v1/research/model-health

ParameterTypeDefaultDescription
limitnumber-Max 100
curl "https://api.philidor.io/v1/research/model-health?limit=10"

On this page

Raw